from io import BytesIO
import pytest

from gargantools.utils.contexts_utils import check_fileContent
from gargantools.utils.utils import get_fileContent


@pytest.mark.parametrize("test_file_copy", ["correct.csv"], indirect=True)
def test_check_fileContent(test_file_copy):
    with open(test_file_copy, "r") as f:
        f_data = BytesIO(f.read().encode("utf-8"))
        assert check_fileContent(get_fileContent(f_data, '\t')) == (True, None)
